/// <reference types="bunyan" />
import { HttpClientConfigData, BuildSessionData, CreateBuildSessionIdResponse, GetVersionRequest, BuildMappingRequest } from "./contracts";
import { HttpClient } from "./http-client";
import bunyan = require('bunyan');
export declare class BackendProxy {
    protected config: HttpClientConfigData;
    protected logger: bunyan;
    protected client: HttpClient;
    constructor(config: HttpClientConfigData, logger: bunyan);
    getBuildSession(buildSessionId: string, callback: (err: Error, response: BuildSessionData) => void): void;
    createBuildSessionId(request: BuildSessionData, callback: (err: Error, response: CreateBuildSessionIdResponse) => void): void;
    getRecommendedVersion(request: GetVersionRequest): Promise<any>;
    submitBuildMapping(buildMapping: BuildMappingRequest): Promise<any>;
    protected invokeCallback(callback: (err: Error, apiResponse: any) => void, err: Error, body: any, map?: (body: any) => any): void;
}
